package com.gct.edge.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * class name: EdgeRelease
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/2 上午11:13 周四
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "EdgeRelease对象", description = "")
public class EdgeSyncConfigMonitor {
    @TableId(type = IdType.AUTO)
    private int id;
    private String moduleKey;
    private LocalDateTime createTime;
    private int  releaseStatus;
    private LocalDateTime releaseTime;
    private LocalDateTime releaseVersion;
    private LocalDateTime updateTime;
    private int contentType;
    private String remark;

}
