package com.gct.edge.portal.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.edge.portal.entity.EdgeModuleAuthority;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author lloyd
 * @since 2021-11-01
 */
@Mapper
public interface EdgeModuleAuthorityMapper extends BaseMapper<EdgeModuleAuthority> {

    Page<Map<String, Object>> getModuleAuthority(Page<Map<String,Object>> page);

    List<Map<String, Object>> getModuleNotAuthority();
}
