package com.gct.edge.portal.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gct.edge.portal.entity.EdgeModuleAuthority;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lloyd
 * @since 2021-11-01
 */
public interface EdgeModuleAuthorityService extends IService<EdgeModuleAuthority> {

    Page<Map<String,Object>> getModuleAuthority(Integer currentPage,Integer pageSize);

    List<Map<String,Object>> getModuleNotAuthority();

    boolean addModuleAuthority(String moduleKey, String macAddress, String ethernet, String endDate);

    boolean approveActivate(String moduleKey);

    boolean deleteModuleAuthority(String moduleKey);
}
