package com.gct.edge.portal.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.edge.portal.entity.EdgeSyncConfigMonitor;

import java.util.List;
import java.util.Map;

/**
 * interface name: EdgeReleaseService
 *
 * @author gxt
 * @version 1.0
 * @since 2021/12/2 上午11:12 周四
 */
public interface EdgeSyncConfigMonitorService extends IService<EdgeSyncConfigMonitor> {
    String addEdgeReleaseWithReleaseStatus(EdgeSyncConfigMonitor edgeRelease, JSONObject aoidConfigData);

    String editEdgeReleaseConfigMonitorOrSave(List<Map<String, String>> aoidConfigDataList,List<Map<String, String>> wellIdList);

    List<Map<String, String>> getEdgeReleaseConfigMonitorWithModuleKey(String moduleKey);

    boolean deleteEdgeReleaseConfigMonitorWithModuleKey(String moduleKey, String releaseVersion);


    boolean publishEdgeReleaseConfigMonitorWithModuleKey(String moduleKey,String releaseVersion);

    Map<String, Object> copyEdgeReleaseConfigMonitorWithModuleKey(Map<String, String> sourceModule, List<String> targetModule);

    List<EdgeSyncConfigMonitor> getRelseaseStatusByModuleKey(String moduleKey);

    String addCardLibAndModelLib(JSONObject jsonObject);

    String editCardLib(List<Map<String, Object>> jsonObject);

    String publishCardLib(String moduleKey);

    Map<String, Object> copyCardLib(String moduleKey, JSONArray targetData);

    String editAoidModelLib(JSONObject jsonObject);

    String publishAoidModelLib(String modulekey);

    Map<String, Object> copyAoidModelLib(String moduleKey, JSONArray targetData);

    String deleteCardLib(JSONObject jsonObject);

    String deleteAoidModelLib(JSONObject jsonObject);

    List<Map<String,Object>> getMostNewGtcvrRuntimeConfig(String moduleKey,Integer content_type);

    String addEdgeReleaseGlobalConfig(JSONObject jsonObject);

    String publishGlobalVersion(String moduleKey, Integer flag);

    String copyGlobalConfig(JSONObject targetData);

    Map<String, String> getLastUpdateAndReleaseTime(String moduleKey);
    String resetGlobalConfig(String moduleKey, Integer flag);

    String getStatus(String moduleKey,Integer flag);

    List<Map<String, Object>> getAoidStaticDataStatus(String moduleKey);

    String editSingleWellConfig(JSONObject jsonObject);

    String deleteSingleWellConfig(JSONObject jsonObject);
}
