create table if not exists ${module_key}.dgns_gtcvrresult${postfix}(
                                                                       module_key           varchar,
                                                                       pro_time             timestamp not null,
                                                                       id varchar,
                                                                       result1 varchar,
                                                                       result2 varchar,
                                                                       wellname varchar,
                                                                       sgt varchar,
                                                                       processparam varchar,
                                                                       remark varchar,
                                                                       createtime varchar,
                                                                       userconfirmtime varchar,
                                                                       userconfirmcontent varchar,
                                                                       isproblem varchar,
                                                                       isexpected int
);
comment on column ${module_key}.dgns_gtcvrresult${postfix}.module_key is '分库分表所需key';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.pro_time is '实时时间';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.id is 'ID';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.result1 is '一次诊断结果';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.result2 is '备注';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.wellname is '专家经验公式诊断结果';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.sgt is '示功图';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.processparam is '流程Json';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.remark is '备注';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.createtime is '创建时间';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.userconfirmtime is '';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.userconfirmcontent is '';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.isproblem is '';
comment on column ${module_key}.dgns_gtcvrresult${postfix}.isexpected is '';
