create table if not exists ${module_key}.gtcvr_runtime_config${postfix}(
                                                                           module_key varchar,
                                                                           pro_time timestamp primary key,
                                                                           host varchar,
                                                                           port varchar,
                                                                           slave_code_list varchar,
                                                                           max_line int,
                                                                           min_line int,
                                                                           work_interval int,
                                                                           free_interval int,
                                                                           dump_command varchar,
                                                                           content_text text
);
comment on column ${module_key}.gtcvr_runtime_config${postfix}.module_key is '分库分表所需key';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.pro_time is '实时时间';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.host is '地址';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.port is '端口号';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.slave_code_list is '序列号';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.max_line is '存储单元上限值';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.min_line is '存储单元保留值';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.work_interval is '工作线程刷新频率-s';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.free_interval is '存储空间监控线程工作频率-s';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.dump_command is '导出命令';
comment on column ${module_key}.gtcvr_runtime_config${postfix}.content_text is '文本内容';