package com;

import com.gct.common.util.StringUtil;
import com.gct.edge.portal.EdgePortalApplication;
import com.gct.edge.portal.service.EdgeSyncConfigMonitorService;
import com.zaxxer.hikari.HikariConfig;
import com.zaxxer.hikari.HikariDataSource;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.*;
import java.util.stream.Collectors;

/**
 * class name: test
 *
 * @author gxt
 * @version 1.0
 * @since 2021/11/30 下午5:36 周二
 */
@Slf4j
@SpringBootTest(classes = EdgePortalApplication.class)
@RunWith(SpringRunner.class)
@ContextConfiguration
public class test {


    @Autowired
    EdgeSyncConfigMonitorService edgeReleaseService;

    @SneakyThrows
    public static void main(String[] args) {
        String path[] = {
                "/home/lloyd/Documents/23号数据库数据/柳113-21re18号.sql",
                "/home/lloyd/Documents/23号数据库数据/柳113-21yied18号.sql",
                "/home/lloyd/Documents/23号数据库数据/柳113-21re23号.sql",
                "/home/lloyd/Documents/23号数据库数据/柳113-21yied23号.sql",
        };
        String sourceModule[]={
                "module5",
                "module5",
                "module5",
                "module5",
        };
        String tableName[]={
//                "diagnose_result_real_time202207",
//                "yield_real_time202207",
//                "diagnose_result_real_time202207",
//                "yield_real_time202207",
//                "diagnose_result_real_time202207",
//                "yield_real_time202207",
                "diagnose_result_real_time202207",
                "yield_real_time202207",
                "diagnose_result_real_time202207",
                "yield_real_time202207",
        };
        String edge[]={
//                "edge3",
//                "edge3",
//                "edge1",
//                "edge1",
//                "edge2",
//                "edge2",
                "edge3",
                "edge3",
                "edge3",
                "edge3",
//                "edge2",
//                "edge2",
        };
        String targetModule[]= {
//                "module32",
//                "module32",
//                "module5",
//                "module5",
//                "module44",
//                "module44",
                "module52",
                "module52",
                "module52",
                "module52",
//                "module53",
//                "module53",
        };

        for (int i = 0; i < path.length; i++) {
            HikariConfig config = new HikariConfig();
            config.setJdbcUrl("jdbc:postgresql://geo-cruiser.com:54324/"+edge[i]);
            config.setDriverClassName("org.postgresql.Driver");
            config.setPassword("123456");
            config.setUsername("root");
            HikariDataSource dataSource = new HikariDataSource(config);

            BufferedReader readerSql = new BufferedReader(new InputStreamReader(new FileInputStream(new File(path[i]))));
            try (Connection connection = dataSource.getConnection();
                 Statement state = connection.createStatement();
            ) {
                String sql = readerSql.readLine();
                long line =0;
                while (!StringUtil.isBlankOrEmpty(sql)) {

                    sql = sql.replace(sourceModule[i], targetModule[i]).replace("\"<table_name>\"", targetModule[i]+"." + tableName[i]);
                    System.out.println("line = " + ++line+" sql==>\n"+sql);
                    state.execute(sql);
                    sql = readerSql.readLine();
                }

            } catch (SQLException throwables) {
                throwables.printStackTrace();
            }
        }



    }


}

