package com.gct.edge.portal;

import com.spring4all.swagger.EnableSwagger2Doc;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@SpringBootApplication
@EnableSwagger2Doc //启用swagger注解
@EnableFeignClients
@EnableDiscoveryClient//开启服务注册
@EnableTransactionManagement
public class EdgePortalApplication {

    public static void main(String[] args) {
        SpringApplication.run(EdgePortalApplication.class, args); }

}
