package com.gct.edge.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author lloyd
 * @since 2021-11-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="EdgeModuleAuthority对象", description="")
public class EdgeModuleAuthority extends Model<EdgeModuleAuthority> {

    private static final long serialVersionUID=1L;

    @TableId(type = IdType.INPUT)
    private String moduleKey;

    @ApiModelProperty("MAC地址")
    private String macAddress;

    @ApiModelProperty("网卡名称")
    private String ethernet;

    @ApiModelProperty("是否注册")
    private Integer register;

    @ApiModelProperty("生效日期")
    private LocalDateTime startTime;

    @ApiModelProperty("有效终止日期")
    private LocalDateTime endTime;

    @ApiModelProperty("申请日期")
    private LocalDateTime createTime;

    @ApiModelProperty("申请人")
    private String createUser;

    @ApiModelProperty("审批人")
    private String AuthorizeUser;

    @Override
    protected Serializable pkVal() {
        return null;
    }

}
