package com.gct.edge.portal.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gct.edge.portal.entity.EdgeGroupInfo;
import com.gct.edge.portal.entity.EdgeModuleConfigInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author lloyd
 * @since 2021-10-26
 */
@Mapper
public interface EdgeModuleConfigInfoMapper extends BaseMapper<EdgeModuleConfigInfo> {

    List<EdgeModuleConfigInfo> getModuleListByGroupId(Integer groupId);

    /**
     * 根据参数条件查询分组属性数据
     * @param page
     * @param moduleName
     * @return
     */
    IPage<EdgeModuleConfigInfo> findAllEdgeModelInfo(IPage<?> page,
                                              @Param("moduleName") String moduleName);



}
