package com.gct.edge.portal.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * class name: EnableSqlProperties
 *
 * @author gxt
 * @version 1.0
 * @since 2021/11/30 下午5:32 周二
 */
@Component
@ConfigurationProperties(prefix = "spring.gct.edge.portal.lb")
@Data
public class InitModuleSpaceProperties {
    boolean enabled = false;
    public List<String> sql=new ArrayList<>();
    public List<String> onlyShardDb=new ArrayList<>();
}
