package com.gct.edge.portal.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author xusirui 2022/8/16
 */
@Component
@Data
@ConfigurationProperties(prefix = "spring.gct.edge.portal.memory-free")
public class MemoryFreeProperties {

    boolean enabled = false;

    //default delete data before 30 day
    Integer expireDay = 30;

    Integer interval = 86400;
}
