package com.gct.edge.portal.service;

import com.alibaba.fastjson.JSONObject;
import com.gct.common.core.result.Result;
import com.gct.edge.portal.entity.EdgeShardDbInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.edge.portal.entity.vo.EdgeShardDbVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author lloyd
 * @since 2021-10-26
 */
public interface EdgeShardDbInfoService extends IService<EdgeShardDbInfo> {

    String addDBInfo(EdgeShardDbVo edgeShardDbVo);
    List<EdgeShardDbInfo> getAllList();
    Map<String,EdgeShardDbInfo> getAllMaps();

    boolean updateDBInfo(EdgeShardDbVo edgeShardDbVo);

    EdgeShardDbInfo getShardDInfoByDbKey(String dbKey);


    boolean updateWeightByDbKey(JSONObject list);
    /**
     * 所有数据库列表
     * @return
     */
    Result findDbList();
}
