create table if not exists ${module_key}.aoid_config_data${postfix}
(
    module_key varchar,
    pro_time   timestamp not null,
    jh         varchar   not null,
    bj         double precision,
    bs         double precision,
    hsl        double precision,
    smd        double precision,
    ymd        double precision,
    qyb        double precision,
    dym        double precision,
    yy         double precision,
    ty         double precision,
    hy         double precision,
    totalgtnum integer,
    constraint aoid_config_data${postfix}_pkey
    primary key(jh,pro_time)
);

comment on column ${module_key}.aoid_config_data${postfix}.module_key is '分库分表所需key';

comment on column ${module_key}.aoid_config_data${postfix}.pro_time is '实时时间';

comment on column ${module_key}.aoid_config_data${postfix}.jh is '井号';

comment on column ${module_key}.aoid_config_data${postfix}.bj is '泵径';

comment on column ${module_key}.aoid_config_data${postfix}.bs is '泵深';

comment on column ${module_key}.aoid_config_data${postfix}.hsl is '含水率';

comment on column ${module_key}.aoid_config_data${postfix}.smd is '水密度';

comment on column ${module_key}.aoid_config_data${postfix}.ymd is '油密度';

comment on column ${module_key}.aoid_config_data${postfix}.qyb is '气油比';

comment on column ${module_key}.aoid_config_data${postfix}.dym is '动液面';

comment on column ${module_key}.aoid_config_data${postfix}.yy is '油压';

comment on column ${module_key}.aoid_config_data${postfix}.ty is '套压';

comment on column ${module_key}.aoid_config_data${postfix}.hy is '回压';

comment on column ${module_key}.aoid_config_data${postfix}.totalgtnum is '一天内功图数量';



