create table if not exists ${module_key}.aoid_prod_state${postfix}
(
    module_key varchar,
    pro_time   timestamp,
    well_id    varchar,
    prod_state integer,
    id         varchar not null
);

create unique index if not exists aoid_prod_state_well_id_pro_time_uindex${postfix}
    on ${module_key}.aoid_prod_state${postfix} (well_id, pro_time);

create index if not exists aoid_prod_state_pro_time_index${postfix}
    on ${module_key}.aoid_prod_state${postfix} (pro_time);

create index if not exists aoid_prod_state_module_key_index${postfix}
    on ${module_key}.aoid_prod_state${postfix} (module_key);

create index if not exists aoid_prod_state_id_index${postfix}
    on ${module_key}.aoid_prod_state${postfix} (id);