create table if not exists ${module_key}.dgns_gtcard_lib${postfix}(
                                                                      module_key           varchar,
                                                                      pro_time             timestamp,
                                                                      id varchar primary key,
                                                                      well_id varchar,
                                                                      pro_date varchar,
                                                                      tvec varchar,
                                                                      indicator_diagram varchar,
                                                                      result varchar,
                                                                      jh varchar,
                                                                      effectonjh int,
                                                                      effectonqk int,
                                                                      effectonall int,
                                                                      maxload double precision,
                                                                      minload double precision,
                                                                      dload double precision,
                                                                      create_time varchar,
                                                                      code int
);
comment on column ${module_key}.dgns_gtcard_lib${postfix}.module_key is '分库分表所需key';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.pro_time is '实时时间';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.id is '唯一ID;井号+时间';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.well_id is '井ID';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.pro_date is '日期';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.tvec is '';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.indicator_diagram is '示功图';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.result is '诊断结果种类';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.jh is '井号';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.effectonjh is '';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.effectonqk is '';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.effectonall is '';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.maxload is '最大载荷';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.minload is '最小载荷';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.dload is '';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.create_time is '创建时间';
comment on column ${module_key}.dgns_gtcard_lib${postfix}.code is '诊断结果种类代号';
