package com.gct.edge.portal.controller;


import com.gct.common.core.result.Result;
import com.gct.edge.portal.EdgePortalApplication;
import com.gct.edge.portal.entity.EdgeShardDbInfo;
import com.gct.edge.portal.entity.vo.EdgeShardDbVo;
import com.gct.edge.portal.service.EdgeModuleConfigInfoService;
import com.gct.edge.portal.service.EdgeShardDbInfoService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;


@Slf4j
@SpringBootTest(classes = EdgePortalApplication.class)
@RunWith(SpringRunner.class)
@ContextConfiguration
public class EdgeShardDbInfoControllerTest {

    @Autowired
    EdgeShardDbInfoService EdgeShardDbInfoService;



    @Test
    public void test() {
        EdgeShardDbVo edgeShardDbVo = new EdgeShardDbVo()
                .setAliasName("edge4")
                .setUserName("root")
                .setPassWord("123456")
                .setHost("101.200.219.190")
                .setPort("54324")
                .setDataSourceName("edge3")
                .setPoolName("edge4");
        String s = EdgeShardDbInfoService.addDBInfo(edgeShardDbVo);
        System.out.println(s);
    }

    @Test
    public void test2() {
        List<EdgeShardDbInfo> allList = EdgeShardDbInfoService.getAllList();
        allList.forEach(x -> System.out.println("x = " + x));

    }

    @Test
    public void test3() {
//        EdgeShardDbInfo edgeShardDbInfo = new EdgeShardDbInfo()
//                .setId(1)
//                .setWeight(100);
//        boolean b = EdgeShardDbInfoService.alterDBWeight(edgeShardDbInfo);
//        System.out.println("b = " + b);
    }
}