package com.gct.edge.portal.controller;

import com.gct.edge.portal.EdgePortalApplication;
import com.gct.edge.portal.entity.EdgeModuleConfigInfo;
import com.gct.edge.portal.service.EdgeGroupInfoService;
import com.gct.edge.portal.service.EdgeModuleConfigInfoService;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.*;
import java.util.List;

/**
 * @author xusirui 2021/10/28
 */
@Slf4j
@SpringBootTest(classes = EdgePortalApplication.class)
@RunWith(SpringRunner.class)
@ContextConfiguration
public class PortalTest {

    @Autowired
    EdgeGroupInfoService edgeGroupInfoService;
    @Autowired
    EdgeModuleConfigInfoService edgeModuleConfigInfoService;
    @Test
    public void testTree() throws IOException{
        BufferedReader reader = new BufferedReader(
                new InputStreamReader(
                        this.getClass().getResourceAsStream("/module-activecode-template.txt"))
        );
        String line;
        while((line=reader.readLine())!=null){
            System.out.println(line);
        }
    }
}
